﻿using System;
using System.Xml.Serialization;
using SubmissionModel.Shared;

namespace SubmissionModel.ContinuingDisclosure
{
	[XmlType]
	public class CDDocumentDetailsType
	{
		[XmlElement]
		public UnderlyingFilesType[] UnderlyingFiles { get; set; }

		[XmlAttribute]
		public string DocumentIdentifier { get; set; }

		[XmlAttribute]
		public DocumentStatusType DocumentStatus { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentPostingDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentArchiveDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime DocumentRemoveDate { get; set; }
	}
}