using System;
using System.Xml.Serialization;

namespace SubmissionModel.Shared
{
	[XmlType]
	public class DisclosurePeriodType
	{
		[XmlAttribute]
		public PeriodDetailsType PeriodType { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime AsOfDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime BeginningDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime EndingDate { get; set; }
	}
}
