using System.Xml.Serialization;

namespace SubmissionModel.Shared
{
	[XmlType]
	public class ObligatedPersonsForContinuingDisclosureFilingType
	{
		[XmlAttribute]
		public ObligatedPersonDetailsType ObligatedPersonType { get; set; }

		[XmlAttribute]
		public string NameOfObligatedPersonForContinuingDisclosureFiling { get; set; }

		[XmlAttribute]
		public DaysPostFiscalYearEndType ReportingScheduleDaysPostFiscalYearEnd { get; set; }

		[XmlAttribute]
		public MonthType ReportingScheduleFiscalYearEndMonth { get; set; }

		[XmlAttribute(DataType = "integer")]
		public string ReportingScheduleFiscalYearEndDay { get; set; }

		[XmlAttribute]
		public string ReportingScheduleAdditionalInformation { get; set; }

		[XmlAttribute]
		public string OrganizationURL { get; set; }

		[XmlAttribute]
		public string OrganizationURLAdditionalInformation { get; set; }

		[XmlAttribute]
		public ReportingGAAPStandardType ReportingGAAPStandard { get; set; }

		[XmlAttribute]
		public string ReportingGAAPStandardAdditionalInformation { get; set; }
	}
}
