﻿using System;
using System.Xml.Serialization;
using SubmissionModel.Shared;

namespace SubmissionModel.ContinuingDisclosure
{
	[XmlRoot(ElementName = "ContinuingDisclosureSubmission")]
	public class ContinuingDisclosureSubmissionDetailsType
	{
		[XmlElement]
		public DisclosureIndexingDataDetailsType DisclosureIndexingData { get; set; }

		[XmlElement]
		public ContactInformationType[] ContactInformation { get; set; }

		[XmlElement]
		public CDDocumentDetailsType[] Document { get; set; }

		[XmlAttribute]
		public string SubmissionIdentifier { get; set; }

		[XmlAttribute]
		public SubmissionStatusType SubmissionStatus { get; set; }

		[XmlAttribute]
		public DateTime SubmissionTransactionDateTime { get; set; }
	}
}