using System.Xml.Serialization;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class OfferingDetailsType
	{
		[XmlElement("Issue", IsNullable = false)]
		public IssuesType[] Issue { get; set; }

		[XmlElement("CUSIP9OfLatestMaturityOnIssueNotUnderwritten")]
		public string[] CUSIP9OfLatestMaturityOnIssueNotUnderwritten { get; set; }

		[XmlAttribute]
		public OfferingType OfferingType { get; set; }

		[XmlAttribute]
		public OSAvailabilityStatusType OSAvailabilityStatus { get; set; }

		[XmlAttribute]
		public POSAvailabilityStatusType POSAvailabilityStatus { get; set; }

		[XmlAttribute("UnderwritingSpreadDisclosureIndicator")]
		public UnderwritingSpreadDisclosureIndicatorType UnderwritingSpreadDisclosureIndicator { get; set; }

		[XmlAttribute(DataType = "float")]
		public float UnderwritingSpread { get; set; }

		[XmlElement]
		public UnderwriterAssessmentDiscountIndicatorType[] UnderwriterAssessmentDiscountIndicator { get; set; }

		[XmlElement]
		public UnderwriterAssessmentExemptionIndicatorType[] UnderwriterAssessmentExemptionIndicator { get; set; }
	}
}
