using System.Xml.Serialization;
using SubmissionModel.ContinuingDisclosure;

namespace SubmissionModel.Shared
{
	[XmlType]
	public class ContactInformationType
	{
		[XmlAttribute]
		public ContactTypeDetails ContactType { get; set; }

		[XmlAttribute]
		public string ContactOrganizationName { get; set; }

		[XmlAttribute]
		public string ContactFirstName { get; set; }

		[XmlAttribute]
		public string ContactLastName { get; set; }


		[XmlAttribute]
		public string ContactPhoneNumber { get; set; }


		[XmlAttribute]
		public string ContactPhoneNumberExtension { get; set; }


		[XmlAttribute]
		public string ContactAddress { get; set; }


		[XmlAttribute]
		public string ContactCity { get; set; }


		[XmlAttribute]
		public string ContactState { get; set; }

		[XmlAttribute]
		public string ContactZipCode { get; set; }

		[XmlAttribute]
		public string ContactEMailAddress { get; set; }
	}
}