using System;
using System.Xml.Serialization;

namespace SubmissionModel.Shared
{
	[XmlType]
	public class SecurityDetailsType
	{
		[XmlAttribute]
		public string CUSIP9 { get; set; }

		[XmlAttribute]
		public string CUSIP6 { get; set; }

		[XmlAttribute]
		public string IssuerName { get; set; }

		[XmlAttribute]
		public string IssueDescription { get; set; }

		[XmlAttribute]
		public string IssuerState { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime IssueDatedDate { get; set; }

		[XmlAttribute]
		public FRSecurityStatusType SecurityStatus { get; set; }
	}
}